با ثبت نام در سایت از مزایای اعضا بهره مند شوید!

به روزرسانی به گنوم ۳.۱۲

+1 امتیاز
243 بازدید
سوال شده فروردین 12, 1393 در میزکارها توسط Daniel (76 امتیاز)

سلام، دوستان خوبم. بعد از اینکه نسخه ی جدید میز کار گنوم اضافه شد، منم سعی کردم که به این نسخه دسکتاپمو ارتقا بدم. برای این منظور بعد از اضافه کردن مخزن گنوم ۳.۱۲ به فدورا ۲۰، برای به روزرسانی وارد yumex شدم. بعد از علامت دار کردن همه ی آپدیت ها و پکیج ها، شروع به به روز رسانی کردم، اما با این خطا مواجه شدم:

Dependency Resolution Errors:

Package: 1:NetworkManager-bt-0.9.9.1-3.git20140317.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) Requires: NetworkManager(x86-64) = 1:0.9.9.1-3.git20140317.fc20 Removing: 1:NetworkManager-0.9.9.0-33.git20131003.fc20.x8664 (@updates) NetworkManager(x86-64) = 1:0.9.9.0-33.git20131003.fc20 Obsoleted By: 1:NetworkManager-adsl-0.9.9.1-4.git20140319.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) Not found Updated By: 1:NetworkManager-0.9.9.1-4.git20140319.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-4.git20140319.fc20 Available: 1:NetworkManager-0.9.9.0-20.git20131003.fc20.x8664 (fedora) NetworkManager(x86-64) = 1:0.9.9.0-20.git20131003.fc20 Available: 1:NetworkManager-0.9.9.1-0.git20140228.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-0.git20140228.fc20 Available: 1:NetworkManager-0.9.9.1-1.git20140310.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-1.git20140310.fc20 Available: 1:NetworkManager-0.9.9.1-2.git20140314.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-2.git20140314.fc20 Available: 1:NetworkManager-0.9.9.1-3.git20140317.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-3.git20140317.fc20Package: ekiga-4.0.1-6.fc20.x8664 (@fedora) Requires: libcamel-1.2.so.45()(64bit) Removing: evolution-data-server-3.10.4-3.fc20.x8664 (@updates) libcamel-1.2.so.45()(64bit) Updated By: evolution-data-server-3.12.0-1.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) ~libcamel-1.2.so.49()(64bit) Available: evolution-data-server-3.10.2-2.fc20.x8664 (fedora) libcamel-1.2.so.45()(64bit) Available: evolution-data-server-3.11.90-1.fc20.i686 (rhughes-f20-gnome-3-12-i386) Not found Available: evolution-data-server-3.11.91-1.fc20.i686 (rhughes-f20-gnome-3-12-i386) Not found Available: evolution-data-server-3.11.92-1.fc20.i686 (rhughes-f20-gnome-3-12-i386) Not foundPackage: nm-connection-editor-0.9.9.0-9.git20140123.fc20.x8664 (@updates) Requires: libgnome-bluetooth.so.12()(64bit) Removing: 1:gnome-bluetooth-libs-3.10.0-1.fc20.x8664 (@anaconda) libgnome-bluetooth.so.12()(64bit) Updated By: 1:gnome-bluetooth-libs-3.12.0-1.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) ~libgnome-bluetooth.so.13()(64bit)Package: 1:NetworkManager-atm-0.9.9.1-3.git20140317.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) Requires: NetworkManager(x86-64) = 1:0.9.9.1-3.git20140317.fc20 Removing: 1:NetworkManager-0.9.9.0-33.git20131003.fc20.x8664 (@updates) NetworkManager(x86-64) = 1:0.9.9.0-33.git20131003.fc20 Obsoleted By: 1:NetworkManager-adsl-0.9.9.1-4.git20140319.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) Not found Updated By: 1:NetworkManager-0.9.9.1-4.git20140319.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-4.git20140319.fc20 Available: 1:NetworkManager-0.9.9.0-20.git20131003.fc20.x8664 (fedora) NetworkManager(x86-64) = 1:0.9.9.0-20.git20131003.fc20 Available: 1:NetworkManager-0.9.9.1-0.git20140228.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-0.git20140228.fc20 Available: 1:NetworkManager-0.9.9.1-1.git20140310.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-1.git20140310.fc20 Available: 1:NetworkManager-0.9.9.1-2.git20140314.fc20.x8664 (rhughes-f20-gnome-3-12-x8664) NetworkManager(x86-64) = 1:0.9.9.1-2.git20140314.fc20 Available: 1:NetworkManager-0.9.9.1-3.git20140317.fc20.x8664 (rhughes-f20-gnome-3-12-x86_64) NetworkManager(x86-64) = 1:0.9.9.1-3.git20140317.fc20

2 پاسخ

+1 امتیاز
پاسخ داده شده فروردین 15, 1393 توسط Daniel (76 امتیاز)
 
بهترین پاسخ

با دستور :

systemctl enable gdm.service

ابتدا سرویس gdm رو باید فعال کنیم و بعد از فعال کردن اون، می باید با دستور:

sytemctl restart gdm.service

همین سرویس رو دوباره راه اندازی می کنیم. این طوری دیگه بعد از هر بوت کامل فدورا، مستقیما به صفحه ی ورودی وارد می شیم. اما همون طور که شما گفتید باید پکیج های gdm رو هم نصب کنیم که الآن دنبال این قضیه ام.
از کمکایی که انجام دادید، صمیمانه ممنونم!

+1 امتیاز
پاسخ داده شده فروردین 12, 1393 توسط hossein (8,515 امتیاز)

سلام عزیز
دونه دونه تیک نکنین و همه رو تیک کنین
برخی از پکیج های پیش نیازهای بسته های دیگه هستن و باید نصب بشن.

دارای دیدگاه فروردین 13, 1393 توسط Daniel (76 امتیاز)

همه رو یه جا تیک دار کردم اما خطا همون خطاست. متوجه نمیشم منظور این پیغامش چیه. اولش میگه Requires: NetworkManager(x86-64) = 1:0.9.9.1-3.git20140317.fc20 Removing: 1:NetworkManager که منم متوجه نمیشم.

دارای دیدگاه فروردین 13, 1393 توسط Daniel (76 امتیاز)

آقا حسین وقتی پکیجای network manager رو بدون تیک کردم، تعداد خطاهاش کم میشه تا میرسه به این:

Dependency Resolution Errors:

Package: nm-connection-editor-0.9.9.0-9.git20140123.fc20.x8664 (@updates)
Requires: libgnome-bluetooth.so.12()(64bit)
Removing: 1:gnome-bluetooth-libs-3.10.0-1.fc20.x86
64 (@anaconda)
libgnome-bluetooth.so.12()(64bit)
Updated By: 1:gnome-bluetooth-libs-3.12.0-1.fc20.x8664 (rhughes-f20-gnome-3-12-x8664)
~libgnome-bluetooth.so.13()(64bit)

دارای دیدگاه فروردین 13, 1393 توسط Daniel (76 امتیاز)

آقا حسین با yumex اومدم هر جایی که ایراد می گرفت رو تیکشو بر می داشتم! مثلا وقتی گفته بود نیاز به حذف پکیج فلان هست، منم اون پکیج رو حذف می کردم. بالاخره گنوم رو به روز کردم اما نه به درستی!
وقتی ریستارت کردم و بوت شد، به جای صفحه ی لاگین، صفحه ی کنسول (tty2) باز شد. منم برای اینکه وارد دسکتاپ بشم، دستور startx رو زدم. یه پیغام خطا داد و الآن که این پاسخو می نویسم داخل محیط گنوم ۳.۱۲ ام! اما ترمینالش کار نمی کنه ، software هم ، همین طور.

چطوری کاری کنم تا گنوم به صورت خودکار اجرا بشه؟

دارای دیدگاه فروردین 15, 1393 توسط hossein (8,515 امتیاز)

شما نیاز به یک برنامه ی لاگین دارین.
پکیج GDM رو نصب کنین تا صفحه ی لاگینتون درست بشه.
البته نام این پکیج رو توی فدورا نمی دونم عزیز

سرور مجازی لینوکس

2,094 سوال

3,254 پاسخ

3,416 دیدگاه

8,214 کاربر

...